import ir.huri.jcal.JalaliCalendar;

public class Person {
	//firstName of person
	private String firstName ;
	//lastName of person
	private String lastName ;
	
	/**
	 * Create a new person with given firstName and LastName
	 * @param firstName firstName of person
	 * @param lastName lastName of person
	 */
	public Person(String firstName, String lastName) {
		this.firstName = firstName;
		this.lastName = lastName;
	}
	/**
	 * Get fisrName of person
	 * @return
	 */
	public String getFirstName() {
		return firstName;
	}
	/**
	 * Get lastName of person
	 * @return
	 */
	public String getLastName() {
		return lastName;
	}

	@Override
	public String toString() {
		return "Person --> firstName= " + firstName + ", lastName= " + lastName ;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((firstName == null) ? 0 : firstName.hashCode());
		result = prime * result + ((lastName == null) ? 0 : lastName.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Person other = (Person) obj;
		if (firstName == null) {
			if (other.firstName != null)
				return false;
		} else if (!firstName.equals(other.firstName))
			return false;
		if (lastName == null) {
			if (other.lastName != null)
				return false;
		} else if (!lastName.equals(other.lastName))
			return false;
		return true;
	}
}
